/* HIDE RADIO */
[type=radio] { 
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* IMAGE STYLES */
[type=radio] + img {
  cursor: pointer;
  margin-left: 1px; 
  margin-top:1px;

}

/* CHECKED STYLES */
[type=radio]:checked + img {
 
  border-radius: 30px; 
  filter: grayscale(0%) opacity(100%); 
  
}

label {
    margin: 20px; 
  display: inline-block;
  position: relative;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius : 50px; 
  filter: grayscale(100%) opacity(70%);
  transition: all .5s ease;
}

label:hover {
  filter: grayscale(50%) opacity(85%);
  box-shadow: 0 0 15px #777;
  transform: scale(1.2); 
}


label:focus-within {
   filter: grayscale(0%) opacity(100%); 
}